#!/bin/sh

DIRLIST=". Source Source/Metadata Source/FreeImageToolkit Source/LibTIFF"

echo "VER_MAJOR = 3" > Makefile.srcs
echo "VER_MINOR = 15.4" >> Makefile.srcs

echo -n "SRCS = " >> Makefile.srcs
for DIR in $DIRLIST; do
	VCPRJS=`echo $DIR/*.2008.vcproj`
	if [ "$VCPRJS" != "$DIR/*.2008.vcproj" ]; then
		egrep 'RelativePath=.*\.(c|cpp)' $DIR/*.2008.vcproj | cut -d'"' -f2 | tr '\\' '/' | awk '{print "'$DIR'/"$0}' | tr '\r\n' '  ' | tr -s ' ' >> Makefile.srcs
	fi
done
echo -n ' Source/LibJPEG/transupp.c' >> Makefile.srcs
echo >> Makefile.srcs

echo -n "INCLS = " >> Makefile.srcs
find . \( \( -name 'Lib*' -and -not -name 'LibTIFF' \) -or -name 'OpenEXR' -or -name 'ZLib' \) -prune -or -name '*.h' -print | sort | xargs echo -n >> Makefile.srcs
echo >> Makefile.srcs

echo -n "INCLUDE =" >> Makefile.srcs
for DIR in $DIRLIST; do
	echo -n " -I$DIR" >> Makefile.srcs
done
echo ' $(shell pkg-config --cflags zlib OpenEXR libraw libpng)' >> Makefile.srcs
echo >> Makefile.srcs

